CATOD( )

NAME
catod - To convert the text format of a dictionary to binary
        format.

SYNOPSIS
catod [-s maxword ] [-R] [-r] [-e] [-S] [-U]
       [-P dicpasswd ] [-p frepasswd ]
       [-h cixingfile ] outfilename

DEFAULT PATH
/usr/local/bin/cWnn4/catod

DESCRIPTION
This command converts a dictionary from text format into binary format. outfilename is the name of the binary format dictionary. If outfilename is not given, the output will be passed to the standard output device(stdout). The input file may be piped in by using the "<" command. For example,

    catod basic.dic < basic.u

"basic.dic" here is the output binary format dictionary, while the "basic.u" is the input text format dictionary. If the input text dictionary is not given, the input will be taken from the standard input(stdin). To end the input via standard input, press ^D.

OPTIONS

-s  maxword

    To specify the maximum number of words. Default is 70000.

-R  To create a dictionary for both forward and reverse conversion. (Default).

-r  To create a reverse format dictionary only for reverse conversion.

-e  If the Hanzi inside the text dictionary contains characters such as space and tab, they will be compacted to special format. (Default).

-S  To create a static dictionary.

-U  To create a dynamic dictionary.

-P  dicpasswd

    To specify the password for the dictionary.

    If "-N" is used instead, the password of the dictionary will be set to "*".

-p  frepasswd

    To specify the password for the usage frequency file.

    If "-n" is used instead, the password of the frequency file will be set to "*".

-h  cixingfile

    To specify the Cixing definition file.

NOTE

1.  The parts in [ ] are options. They may be omitted.

2.  The Pinyin and Zhuyin dictionary has the same format.

3.  For details of the dictionary structure, refer to cWnn manual.